
* this is the final solution for Z_123,45,6,7,8^m,
* Southampton, 18.08.2017

	id ZZ(i1?,i2?,i3?,[c],i4?,i5?,[c],i6?,[c],i7?,[c],i8?,[v],m?) =

       + ellf(m) * (
          + g1(i1,i2)*g1(i2,i3)*g1(i4,i5)
          + g1(i1,i2)*g2(i2,i4)
          - g1(i1,i2)*g2(i2,i5)
          - g1(i1,i2)*g2(i3,i4)
          + g1(i1,i2)*g2(i3,i5)
          + g1(i2,i3)*g2(i1,i4)
          - g1(i2,i3)*g2(i1,i5)
          - g1(i2,i3)*g2(i3,i4)
          + g1(i2,i3)*g2(i3,i5)
          + g1(i2,i4)*g2(i1,i2)
          - g1(i2,i4)*g2(i1,i4)
          - g1(i2,i5)*g2(i1,i2)
          + g1(i2,i5)*g2(i1,i5)
          - g1(i3,i4)*g2(i1,i3)
          + g1(i3,i4)*g2(i1,i4)
          + g1(i3,i5)*g2(i1,i3)
          - g1(i3,i5)*g2(i1,i5)
          + g1(i4,i5)*g2(i1,i2)
          - g1(i4,i5)*g2(i1,i3)
          + g1(i4,i5)*g2(i2,i3)
          + g3(i2,i4)
          - g3(i2,i5)
          - g3(i3,i4)
          + g3(i3,i5)
          )

       + kk(i1,m)*g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - kk(i1,m)*g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - kk(i1,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + kk(i1,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          - kk(i1,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i3)
          - kk(i1,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          + kk(i1,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          - kk(i1,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i1,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i1,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i1,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + kk(i1,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i1,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i1,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i1,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          - 2*kk(i1,m)*g1(i1,i2)*g3(i2,i4)
          + 2*kk(i1,m)*g1(i1,i2)*g3(i2,i5)
          + 2*kk(i1,m)*g1(i1,i2)*g3(i3,i4)
          - 2*kk(i1,m)*g1(i1,i2)*g3(i3,i5)
          - kk(i1,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i2)
          - kk(i1,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          + kk(i1,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          - kk(i1,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i1,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i1,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i1,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + kk(i1,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i1,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i1,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i1,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          - 2*kk(i1,m)*g1(i2,i3)*g3(i1,i4)
          + 2*kk(i1,m)*g1(i2,i3)*g3(i1,i5)
          + 2*kk(i1,m)*g1(i2,i3)*g3(i3,i4)
          - 2*kk(i1,m)*g1(i2,i3)*g3(i3,i5)
          + kk(i1,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i1,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          - kk(i1,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i1,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          - 2*kk(i1,m)*g1(i2,i4)*g3(i1,i2)
          + 2*kk(i1,m)*g1(i2,i4)*g3(i1,i4)
          - kk(i1,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i1,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          + kk(i1,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i1,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          + 2*kk(i1,m)*g1(i2,i5)*g3(i1,i2)
          - 2*kk(i1,m)*g1(i2,i5)*g3(i1,i5)
          - kk(i1,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i1,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i1,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i1,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i1,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i1,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          - kk(i1,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i1,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          + kk(i1,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i1,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          + 2*kk(i1,m)*g1(i3,i4)*g3(i1,i3)
          - 2*kk(i1,m)*g1(i3,i4)*g3(i1,i4)
          + kk(i1,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i1,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          - kk(i1,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i1,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          - 2*kk(i1,m)*g1(i3,i5)*g3(i1,i3)
          + 2*kk(i1,m)*g1(i3,i5)*g3(i1,i5)
          + kk(i1,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i1,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i1,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i1,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i1,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i1,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          - 2*kk(i1,m)*g1(i4,i5)*g3(i1,i2)
          + 2*kk(i1,m)*g1(i4,i5)*g3(i1,i3)
          - kk(i1,m)*g1(i4,i5)*g3(i2,i3)
          - kk(i1,m)*g1(i4,i5)*g3(i2,i8)
          + kk(i1,m)*g1(i4,i5)*g3(i3,i8)
          - kk(i1,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i1,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i1,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i1,m)*g1(i4,i8)*g3(i3,i8)
          + kk(i1,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i1,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i1,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i1,m)*g1(i5,i8)*g3(i3,i8)
          - 2*kk(i1,m)*g2(i1,i2)*g2(i2,i4)
          + 2*kk(i1,m)*g2(i1,i2)*g2(i2,i5)
          + kk(i1,m)*g2(i1,i2)*g2(i3,i4)
          - kk(i1,m)*g2(i1,i2)*g2(i3,i5)
          - kk(i1,m)*g2(i1,i2)*g2(i4,i8)
          + kk(i1,m)*g2(i1,i2)*g2(i5,i8)
          + kk(i1,m)*g2(i1,i3)*g2(i3,i4)
          - kk(i1,m)*g2(i1,i3)*g2(i3,i5)
          + kk(i1,m)*g2(i1,i3)*g2(i4,i8)
          - kk(i1,m)*g2(i1,i3)*g2(i5,i8)
          - kk(i1,m)*g2(i1,i4)*g2(i2,i4)
          - kk(i1,m)*g2(i1,i4)*g2(i2,i8)
          + kk(i1,m)*g2(i1,i4)*g2(i3,i4)
          + kk(i1,m)*g2(i1,i4)*g2(i3,i8)
          + kk(i1,m)*g2(i1,i5)*g2(i2,i5)
          + kk(i1,m)*g2(i1,i5)*g2(i2,i8)
          - kk(i1,m)*g2(i1,i5)*g2(i3,i5)
          - kk(i1,m)*g2(i1,i5)*g2(i3,i8)
          - kk(i1,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i1,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i1,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i1,m)*g2(i1,i8)*g2(i3,i5)
          + kk(i1,m)*g2(i2,i3)*g2(i3,i4)
          - kk(i1,m)*g2(i2,i3)*g2(i3,i5)
          - kk(i1,m)*g2(i2,i3)*g2(i4,i8)
          + kk(i1,m)*g2(i2,i3)*g2(i5,i8)
          - 2*kk(i1,m)*g4(i2,i4)
          + 2*kk(i1,m)*g4(i2,i5)
          + 2*kk(i1,m)*g4(i3,i4)
          - 2*kk(i1,m)*g4(i3,i5)
          + kk(i2,m)*g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - kk(i2,m)*g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - kk(i2,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + kk(i2,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          - kk(i2,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i3)
          - kk(i2,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          + kk(i2,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          - kk(i2,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i2,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i2,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i2,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + kk(i2,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i2,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i2,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i2,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          - 2*kk(i2,m)*g1(i1,i2)*g3(i2,i4)
          + 2*kk(i2,m)*g1(i1,i2)*g3(i2,i5)
          + 2*kk(i2,m)*g1(i1,i2)*g3(i3,i4)
          - 2*kk(i2,m)*g1(i1,i2)*g3(i3,i5)
          + kk(i2,m)*g1(i2,i3)*g1(i2,i4)*g2(i1,i3)
          - kk(i2,m)*g1(i2,i3)*g1(i2,i5)*g2(i1,i3)
          - kk(i2,m)*g1(i2,i3)*g1(i3,i4)*g2(i1,i4)
          + kk(i2,m)*g1(i2,i3)*g1(i3,i5)*g2(i1,i5)
          + kk(i2,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i3)
          - kk(i2,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          + kk(i2,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          - kk(i2,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i2,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i2,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i2,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + kk(i2,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i2,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i2,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i2,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          + 3*kk(i2,m)*g1(i2,i3)*g3(i3,i4)
          - 3*kk(i2,m)*g1(i2,i3)*g3(i3,i5)
          + kk(i2,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i2,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          + kk(i2,m)*g1(i2,i4)*g1(i3,i4)*g2(i1,i3)
          - kk(i2,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i2,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          - kk(i2,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i2,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          - kk(i2,m)*g1(i2,i5)*g1(i3,i5)*g2(i1,i3)
          + kk(i2,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i2,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i2,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i2,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i2,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i2,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i2,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i2,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          - kk(i2,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i2,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          + kk(i2,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i2,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          + kk(i2,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i2,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          - kk(i2,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i2,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          + kk(i2,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i2,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i2,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i2,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i2,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i2,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          - 2*kk(i2,m)*g1(i4,i5)*g3(i2,i3)
          - kk(i2,m)*g1(i4,i5)*g3(i2,i8)
          + kk(i2,m)*g1(i4,i5)*g3(i3,i8)
          - kk(i2,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i2,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i2,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i2,m)*g1(i4,i8)*g3(i3,i8)
          + kk(i2,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i2,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i2,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i2,m)*g1(i5,i8)*g3(i3,i8)
          - kk(i2,m)*g2(i1,i2)*g2(i2,i4)
          + kk(i2,m)*g2(i1,i2)*g2(i2,i5)
          - kk(i2,m)*g2(i1,i2)*g2(i4,i8)
          + kk(i2,m)*g2(i1,i2)*g2(i5,i8)
          - kk(i2,m)*g2(i1,i3)*g2(i2,i4)
          + kk(i2,m)*g2(i1,i3)*g2(i2,i5)
          + kk(i2,m)*g2(i1,i3)*g2(i4,i8)
          - kk(i2,m)*g2(i1,i3)*g2(i5,i8)
          - kk(i2,m)*g2(i1,i4)*g2(i2,i3)
          - kk(i2,m)*g2(i1,i4)*g2(i2,i8)
          + kk(i2,m)*g2(i1,i4)*g2(i3,i8)
          + kk(i2,m)*g2(i1,i5)*g2(i2,i3)
          + kk(i2,m)*g2(i1,i5)*g2(i2,i8)
          - kk(i2,m)*g2(i1,i5)*g2(i3,i8)
          - kk(i2,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i2,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i2,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i2,m)*g2(i1,i8)*g2(i3,i5)
          + 2*kk(i2,m)*g2(i2,i3)*g2(i3,i4)
          - 2*kk(i2,m)*g2(i2,i3)*g2(i3,i5)
          - kk(i2,m)*g2(i2,i3)*g2(i4,i8)
          + kk(i2,m)*g2(i2,i3)*g2(i5,i8)
          - 3*kk(i2,m)*g4(i2,i4)
          + 3*kk(i2,m)*g4(i2,i5)
          + 3*kk(i2,m)*g4(i3,i4)
          - 3*kk(i2,m)*g4(i3,i5)
          + kk(i3,m)*g1(i1,i2)*g1(i2,i3)*g2(i3,i4)
          - kk(i3,m)*g1(i1,i2)*g1(i2,i3)*g2(i3,i5)
          - kk(i3,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + kk(i3,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + kk(i3,m)*g1(i1,i2)*g1(i3,i4)*g2(i2,i3)
          - kk(i3,m)*g1(i1,i2)*g1(i3,i4)*g2(i2,i4)
          - kk(i3,m)*g1(i1,i2)*g1(i3,i5)*g2(i2,i3)
          + kk(i3,m)*g1(i1,i2)*g1(i3,i5)*g2(i2,i5)
          + kk(i3,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i3)
          - kk(i3,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          + kk(i3,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          - kk(i3,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i3,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i3,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i3,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + kk(i3,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i3,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i3,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i3,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + 3*kk(i3,m)*g1(i1,i2)*g3(i3,i4)
          - 3*kk(i3,m)*g1(i1,i2)*g3(i3,i5)
          - kk(i3,m)*g1(i2,i3)*g1(i2,i4)*g2(i1,i4)
          + kk(i3,m)*g1(i2,i3)*g1(i2,i5)*g2(i1,i5)
          + kk(i3,m)*g1(i2,i3)*g1(i3,i4)*g2(i1,i2)
          - kk(i3,m)*g1(i2,i3)*g1(i3,i5)*g2(i1,i2)
          + kk(i3,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i2)
          - kk(i3,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          + kk(i3,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          - kk(i3,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i3,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i3,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i3,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + kk(i3,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i3,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i3,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i3,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          + 3*kk(i3,m)*g1(i2,i3)*g3(i3,i4)
          - 3*kk(i3,m)*g1(i2,i3)*g3(i3,i5)
          + kk(i3,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i3,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          - kk(i3,m)*g1(i2,i4)*g1(i3,i4)*g2(i1,i2)
          - kk(i3,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i3,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          - kk(i3,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i3,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          + kk(i3,m)*g1(i2,i5)*g1(i3,i5)*g2(i1,i2)
          + kk(i3,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i3,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i3,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i3,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i3,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i3,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i3,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i3,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          - kk(i3,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i3,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          + kk(i3,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i3,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          + kk(i3,m)*g1(i3,i4)*g3(i2,i3)
          - kk(i3,m)*g1(i3,i4)*g3(i2,i4)
          + kk(i3,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i3,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          - kk(i3,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i3,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i3,m)*g1(i3,i5)*g3(i2,i3)
          + kk(i3,m)*g1(i3,i5)*g3(i2,i5)
          + kk(i3,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i3,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i3,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i3,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i3,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i3,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i3,m)*g1(i4,i5)*g3(i2,i3)
          - kk(i3,m)*g1(i4,i5)*g3(i2,i8)
          + kk(i3,m)*g1(i4,i5)*g3(i3,i8)
          - kk(i3,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i3,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i3,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i3,m)*g1(i4,i8)*g3(i3,i8)
          + kk(i3,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i3,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i3,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i3,m)*g1(i5,i8)*g3(i3,i8)
          + kk(i3,m)*g2(i1,i2)*g2(i3,i4)
          - kk(i3,m)*g2(i1,i2)*g2(i3,i5)
          - kk(i3,m)*g2(i1,i2)*g2(i4,i8)
          + kk(i3,m)*g2(i1,i2)*g2(i5,i8)
          + kk(i3,m)*g2(i1,i3)*g2(i3,i4)
          - kk(i3,m)*g2(i1,i3)*g2(i3,i5)
          + kk(i3,m)*g2(i1,i3)*g2(i4,i8)
          - kk(i3,m)*g2(i1,i3)*g2(i5,i8)
          + kk(i3,m)*g2(i1,i4)*g2(i2,i3)
          - kk(i3,m)*g2(i1,i4)*g2(i2,i8)
          + kk(i3,m)*g2(i1,i4)*g2(i3,i8)
          - kk(i3,m)*g2(i1,i5)*g2(i2,i3)
          + kk(i3,m)*g2(i1,i5)*g2(i2,i8)
          - kk(i3,m)*g2(i1,i5)*g2(i3,i8)
          - kk(i3,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i3,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i3,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i3,m)*g2(i1,i8)*g2(i3,i5)
          + kk(i3,m)*g2(i2,i3)*g2(i3,i4)
          - kk(i3,m)*g2(i2,i3)*g2(i3,i5)
          - kk(i3,m)*g2(i2,i3)*g2(i4,i8)
          + kk(i3,m)*g2(i2,i3)*g2(i5,i8)
          + 4*kk(i3,m)*g4(i3,i4)
          - 4*kk(i3,m)*g4(i3,i5)
          - kk(i4,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i5)
          - kk(i4,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + kk(i4,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + kk(i4,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i5)
          - kk(i4,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          - kk(i4,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i5)
          + kk(i4,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          - kk(i4,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i4,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i4,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i4,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + kk(i4,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i4,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i4,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i4,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + kk(i4,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i5)
          - kk(i4,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          - kk(i4,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i5)
          + kk(i4,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          - kk(i4,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i4,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i4,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i4,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + kk(i4,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i4,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i4,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i4,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          + kk(i4,m)*g1(i2,i4)*g1(i2,i5)*g2(i1,i5)
          + kk(i4,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i4,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          - kk(i4,m)*g1(i2,i4)*g1(i4,i5)*g2(i1,i5)
          - kk(i4,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i4,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          - kk(i4,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i4,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          + kk(i4,m)*g1(i2,i5)*g1(i4,i5)*g2(i1,i2)
          + kk(i4,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i4,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i4,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i4,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i4,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i4,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i4,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i4,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          - kk(i4,m)*g1(i3,i4)*g1(i3,i5)*g2(i1,i5)
          - kk(i4,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i4,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          + kk(i4,m)*g1(i3,i4)*g1(i4,i5)*g2(i1,i5)
          + kk(i4,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i4,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          + kk(i4,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i4,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          - kk(i4,m)*g1(i3,i5)*g1(i4,i5)*g2(i1,i3)
          - kk(i4,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i4,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          + kk(i4,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i4,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i4,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i4,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i4,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i4,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i4,m)*g1(i4,i5)*g3(i2,i5)
          - kk(i4,m)*g1(i4,i5)*g3(i2,i8)
          - kk(i4,m)*g1(i4,i5)*g3(i3,i5)
          + kk(i4,m)*g1(i4,i5)*g3(i3,i8)
          - kk(i4,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i4,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i4,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i4,m)*g1(i4,i8)*g3(i3,i8)
          + kk(i4,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i4,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i4,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i4,m)*g1(i5,i8)*g3(i3,i8)
          - kk(i4,m)*g2(i1,i2)*g2(i4,i5)
          - kk(i4,m)*g2(i1,i2)*g2(i4,i8)
          + kk(i4,m)*g2(i1,i2)*g2(i5,i8)
          + kk(i4,m)*g2(i1,i3)*g2(i4,i5)
          + kk(i4,m)*g2(i1,i3)*g2(i4,i8)
          - kk(i4,m)*g2(i1,i3)*g2(i5,i8)
          - kk(i4,m)*g2(i1,i4)*g2(i2,i4)
          - kk(i4,m)*g2(i1,i4)*g2(i2,i8)
          + kk(i4,m)*g2(i1,i4)*g2(i3,i4)
          + kk(i4,m)*g2(i1,i4)*g2(i3,i8)
          - kk(i4,m)*g2(i1,i5)*g2(i2,i4)
          + kk(i4,m)*g2(i1,i5)*g2(i2,i8)
          + kk(i4,m)*g2(i1,i5)*g2(i3,i4)
          - kk(i4,m)*g2(i1,i5)*g2(i3,i8)
          - kk(i4,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i4,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i4,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i4,m)*g2(i1,i8)*g2(i3,i5)
          - kk(i4,m)*g2(i2,i3)*g2(i4,i5)
          - kk(i4,m)*g2(i2,i3)*g2(i4,i8)
          + kk(i4,m)*g2(i2,i3)*g2(i5,i8)
          + kk(i5,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i5)
          - kk(i5,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          + kk(i5,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + kk(i5,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i4)
          - kk(i5,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          - kk(i5,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i4)
          + kk(i5,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          - kk(i5,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i5,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i5,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i5,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          + kk(i5,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i5,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i5,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i5,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + kk(i5,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i4)
          - kk(i5,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          - kk(i5,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i4)
          + kk(i5,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          - kk(i5,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i5,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i5,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i5,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          + kk(i5,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i5,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i5,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i5,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          - kk(i5,m)*g1(i2,i4)*g1(i2,i5)*g2(i1,i4)
          + kk(i5,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i5,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          + kk(i5,m)*g1(i2,i4)*g1(i4,i5)*g2(i1,i2)
          - kk(i5,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i5,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          - kk(i5,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i5,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          - kk(i5,m)*g1(i2,i5)*g1(i4,i5)*g2(i1,i4)
          + kk(i5,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i5,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i5,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i5,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i5,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i5,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i5,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i5,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i5,m)*g1(i3,i4)*g1(i3,i5)*g2(i1,i4)
          - kk(i5,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i5,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          - kk(i5,m)*g1(i3,i4)*g1(i4,i5)*g2(i1,i3)
          + kk(i5,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i5,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          + kk(i5,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i5,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          + kk(i5,m)*g1(i3,i5)*g1(i4,i5)*g2(i1,i4)
          - kk(i5,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i5,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          + kk(i5,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i5,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i5,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i5,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i5,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i5,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i5,m)*g1(i4,i5)*g3(i2,i4)
          - kk(i5,m)*g1(i4,i5)*g3(i2,i8)
          - kk(i5,m)*g1(i4,i5)*g3(i3,i4)
          + kk(i5,m)*g1(i4,i5)*g3(i3,i8)
          - kk(i5,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i5,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i5,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i5,m)*g1(i4,i8)*g3(i3,i8)
          + kk(i5,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i5,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i5,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i5,m)*g1(i5,i8)*g3(i3,i8)
          + kk(i5,m)*g2(i1,i2)*g2(i4,i5)
          - kk(i5,m)*g2(i1,i2)*g2(i4,i8)
          + kk(i5,m)*g2(i1,i2)*g2(i5,i8)
          - kk(i5,m)*g2(i1,i3)*g2(i4,i5)
          + kk(i5,m)*g2(i1,i3)*g2(i4,i8)
          - kk(i5,m)*g2(i1,i3)*g2(i5,i8)
          + kk(i5,m)*g2(i1,i4)*g2(i2,i5)
          - kk(i5,m)*g2(i1,i4)*g2(i2,i8)
          - kk(i5,m)*g2(i1,i4)*g2(i3,i5)
          + kk(i5,m)*g2(i1,i4)*g2(i3,i8)
          + kk(i5,m)*g2(i1,i5)*g2(i2,i5)
          + kk(i5,m)*g2(i1,i5)*g2(i2,i8)
          - kk(i5,m)*g2(i1,i5)*g2(i3,i5)
          - kk(i5,m)*g2(i1,i5)*g2(i3,i8)
          - kk(i5,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i5,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i5,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i5,m)*g2(i1,i8)*g2(i3,i5)
          + kk(i5,m)*g2(i2,i3)*g2(i4,i5)
          - kk(i5,m)*g2(i2,i3)*g2(i4,i8)
          + kk(i5,m)*g2(i2,i3)*g2(i5,i8)
          + kk(i6,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i6)
          - kk(i6,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          - kk(i6,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i6)
          + kk(i6,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + kk(i6,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i6)
          - kk(i6,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          - kk(i6,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i6)
          + kk(i6,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          + kk(i6,m)*g1(i1,i2)*g1(i4,i6)*g2(i2,i4)
          - kk(i6,m)*g1(i1,i2)*g1(i4,i6)*g2(i2,i6)
          - kk(i6,m)*g1(i1,i2)*g1(i4,i6)*g2(i3,i4)
          + kk(i6,m)*g1(i1,i2)*g1(i4,i6)*g2(i3,i6)
          - kk(i6,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i6,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i6,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i6,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          - kk(i6,m)*g1(i1,i2)*g1(i5,i6)*g2(i2,i5)
          + kk(i6,m)*g1(i1,i2)*g1(i5,i6)*g2(i2,i6)
          + kk(i6,m)*g1(i1,i2)*g1(i5,i6)*g2(i3,i5)
          - kk(i6,m)*g1(i1,i2)*g1(i5,i6)*g2(i3,i6)
          + kk(i6,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i6,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i6,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i6,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + kk(i6,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i6)
          - kk(i6,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          - kk(i6,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i6)
          + kk(i6,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          + kk(i6,m)*g1(i2,i3)*g1(i4,i6)*g2(i1,i4)
          - kk(i6,m)*g1(i2,i3)*g1(i4,i6)*g2(i1,i6)
          - kk(i6,m)*g1(i2,i3)*g1(i4,i6)*g2(i3,i4)
          + kk(i6,m)*g1(i2,i3)*g1(i4,i6)*g2(i3,i6)
          - kk(i6,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i6,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i6,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i6,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          - kk(i6,m)*g1(i2,i3)*g1(i5,i6)*g2(i1,i5)
          + kk(i6,m)*g1(i2,i3)*g1(i5,i6)*g2(i1,i6)
          + kk(i6,m)*g1(i2,i3)*g1(i5,i6)*g2(i3,i5)
          - kk(i6,m)*g1(i2,i3)*g1(i5,i6)*g2(i3,i6)
          + kk(i6,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i6,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i6,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i6,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          - kk(i6,m)*g1(i2,i4)*g1(i2,i6)*g2(i1,i4)
          - kk(i6,m)*g1(i2,i4)*g1(i2,i6)*g2(i1,i6)
          + kk(i6,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i6,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          + kk(i6,m)*g1(i2,i4)*g1(i4,i6)*g2(i1,i2)
          + kk(i6,m)*g1(i2,i4)*g1(i4,i6)*g2(i1,i6)
          - kk(i6,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i6,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          + kk(i6,m)*g1(i2,i5)*g1(i2,i6)*g2(i1,i5)
          + kk(i6,m)*g1(i2,i5)*g1(i2,i6)*g2(i1,i6)
          - kk(i6,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i6,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          - kk(i6,m)*g1(i2,i5)*g1(i5,i6)*g2(i1,i2)
          - kk(i6,m)*g1(i2,i5)*g1(i5,i6)*g2(i1,i6)
          + kk(i6,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i6,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          + kk(i6,m)*g1(i2,i6)*g1(i4,i5)*g2(i1,i2)
          - kk(i6,m)*g1(i2,i6)*g1(i4,i5)*g2(i1,i6)
          - kk(i6,m)*g1(i2,i6)*g1(i4,i6)*g2(i1,i2)
          - kk(i6,m)*g1(i2,i6)*g1(i4,i6)*g2(i1,i4)
          + kk(i6,m)*g1(i2,i6)*g1(i5,i6)*g2(i1,i2)
          + kk(i6,m)*g1(i2,i6)*g1(i5,i6)*g2(i1,i5)
          - kk(i6,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i6,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i6,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i6,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i6,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i6,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i6,m)*g1(i3,i4)*g1(i3,i6)*g2(i1,i4)
          + kk(i6,m)*g1(i3,i4)*g1(i3,i6)*g2(i1,i6)
          - kk(i6,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i6,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          - kk(i6,m)*g1(i3,i4)*g1(i4,i6)*g2(i1,i3)
          - kk(i6,m)*g1(i3,i4)*g1(i4,i6)*g2(i1,i6)
          + kk(i6,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i6,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          - kk(i6,m)*g1(i3,i5)*g1(i3,i6)*g2(i1,i5)
          - kk(i6,m)*g1(i3,i5)*g1(i3,i6)*g2(i1,i6)
          + kk(i6,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i6,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          + kk(i6,m)*g1(i3,i5)*g1(i5,i6)*g2(i1,i3)
          + kk(i6,m)*g1(i3,i5)*g1(i5,i6)*g2(i1,i6)
          - kk(i6,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i6,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i6,m)*g1(i3,i6)*g1(i4,i5)*g2(i1,i3)
          + kk(i6,m)*g1(i3,i6)*g1(i4,i5)*g2(i1,i6)
          + kk(i6,m)*g1(i3,i6)*g1(i4,i6)*g2(i1,i3)
          + kk(i6,m)*g1(i3,i6)*g1(i4,i6)*g2(i1,i4)
          - kk(i6,m)*g1(i3,i6)*g1(i5,i6)*g2(i1,i3)
          - kk(i6,m)*g1(i3,i6)*g1(i5,i6)*g2(i1,i5)
          + kk(i6,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i6,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i6,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i6,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i6,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i6,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i6,m)*g1(i4,i5)*g3(i2,i6)
          - kk(i6,m)*g1(i4,i5)*g3(i2,i8)
          - kk(i6,m)*g1(i4,i5)*g3(i3,i6)
          + kk(i6,m)*g1(i4,i5)*g3(i3,i8)
          + kk(i6,m)*g1(i4,i6)*g3(i2,i4)
          - kk(i6,m)*g1(i4,i6)*g3(i2,i6)
          - kk(i6,m)*g1(i4,i6)*g3(i3,i4)
          + kk(i6,m)*g1(i4,i6)*g3(i3,i6)
          - kk(i6,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i6,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i6,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i6,m)*g1(i4,i8)*g3(i3,i8)
          - kk(i6,m)*g1(i5,i6)*g3(i2,i5)
          + kk(i6,m)*g1(i5,i6)*g3(i2,i6)
          + kk(i6,m)*g1(i5,i6)*g3(i3,i5)
          - kk(i6,m)*g1(i5,i6)*g3(i3,i6)
          + kk(i6,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i6,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i6,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i6,m)*g1(i5,i8)*g3(i3,i8)
          + kk(i6,m)*g2(i1,i2)*g2(i4,i6)
          - kk(i6,m)*g2(i1,i2)*g2(i4,i8)
          - kk(i6,m)*g2(i1,i2)*g2(i5,i6)
          + kk(i6,m)*g2(i1,i2)*g2(i5,i8)
          - kk(i6,m)*g2(i1,i3)*g2(i4,i6)
          + kk(i6,m)*g2(i1,i3)*g2(i4,i8)
          + kk(i6,m)*g2(i1,i3)*g2(i5,i6)
          - kk(i6,m)*g2(i1,i3)*g2(i5,i8)
          + kk(i6,m)*g2(i1,i4)*g2(i2,i6)
          - kk(i6,m)*g2(i1,i4)*g2(i2,i8)
          - kk(i6,m)*g2(i1,i4)*g2(i3,i6)
          + kk(i6,m)*g2(i1,i4)*g2(i3,i8)
          - kk(i6,m)*g2(i1,i5)*g2(i2,i6)
          + kk(i6,m)*g2(i1,i5)*g2(i2,i8)
          + kk(i6,m)*g2(i1,i5)*g2(i3,i6)
          - kk(i6,m)*g2(i1,i5)*g2(i3,i8)
          + kk(i6,m)*g2(i1,i6)*g2(i2,i4)
          - kk(i6,m)*g2(i1,i6)*g2(i2,i5)
          - kk(i6,m)*g2(i1,i6)*g2(i3,i4)
          + kk(i6,m)*g2(i1,i6)*g2(i3,i5)
          - kk(i6,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i6,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i6,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i6,m)*g2(i1,i8)*g2(i3,i5)
          + kk(i6,m)*g2(i2,i3)*g2(i4,i6)
          - kk(i6,m)*g2(i2,i3)*g2(i4,i8)
          - kk(i6,m)*g2(i2,i3)*g2(i5,i6)
          + kk(i6,m)*g2(i2,i3)*g2(i5,i8)
          + kk(i7,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i7)
          - kk(i7,m)*g1(i1,i2)*g1(i2,i3)*g2(i4,i8)
          - kk(i7,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i7)
          + kk(i7,m)*g1(i1,i2)*g1(i2,i3)*g2(i5,i8)
          + kk(i7,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i7)
          - kk(i7,m)*g1(i1,i2)*g1(i4,i5)*g2(i2,i8)
          - kk(i7,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i7)
          + kk(i7,m)*g1(i1,i2)*g1(i4,i5)*g2(i3,i8)
          + kk(i7,m)*g1(i1,i2)*g1(i4,i7)*g2(i2,i4)
          - kk(i7,m)*g1(i1,i2)*g1(i4,i7)*g2(i2,i7)
          - kk(i7,m)*g1(i1,i2)*g1(i4,i7)*g2(i3,i4)
          + kk(i7,m)*g1(i1,i2)*g1(i4,i7)*g2(i3,i7)
          - kk(i7,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i4)
          + kk(i7,m)*g1(i1,i2)*g1(i4,i8)*g2(i2,i8)
          + kk(i7,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i4)
          - kk(i7,m)*g1(i1,i2)*g1(i4,i8)*g2(i3,i8)
          - kk(i7,m)*g1(i1,i2)*g1(i5,i7)*g2(i2,i5)
          + kk(i7,m)*g1(i1,i2)*g1(i5,i7)*g2(i2,i7)
          + kk(i7,m)*g1(i1,i2)*g1(i5,i7)*g2(i3,i5)
          - kk(i7,m)*g1(i1,i2)*g1(i5,i7)*g2(i3,i7)
          + kk(i7,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i5)
          - kk(i7,m)*g1(i1,i2)*g1(i5,i8)*g2(i2,i8)
          - kk(i7,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i5)
          + kk(i7,m)*g1(i1,i2)*g1(i5,i8)*g2(i3,i8)
          + kk(i7,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i7)
          - kk(i7,m)*g1(i2,i3)*g1(i4,i5)*g2(i1,i8)
          - kk(i7,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i7)
          + kk(i7,m)*g1(i2,i3)*g1(i4,i5)*g2(i3,i8)
          + kk(i7,m)*g1(i2,i3)*g1(i4,i7)*g2(i1,i4)
          - kk(i7,m)*g1(i2,i3)*g1(i4,i7)*g2(i1,i7)
          - kk(i7,m)*g1(i2,i3)*g1(i4,i7)*g2(i3,i4)
          + kk(i7,m)*g1(i2,i3)*g1(i4,i7)*g2(i3,i7)
          - kk(i7,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i4)
          + kk(i7,m)*g1(i2,i3)*g1(i4,i8)*g2(i1,i8)
          + kk(i7,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i4)
          - kk(i7,m)*g1(i2,i3)*g1(i4,i8)*g2(i3,i8)
          - kk(i7,m)*g1(i2,i3)*g1(i5,i7)*g2(i1,i5)
          + kk(i7,m)*g1(i2,i3)*g1(i5,i7)*g2(i1,i7)
          + kk(i7,m)*g1(i2,i3)*g1(i5,i7)*g2(i3,i5)
          - kk(i7,m)*g1(i2,i3)*g1(i5,i7)*g2(i3,i7)
          + kk(i7,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i5)
          - kk(i7,m)*g1(i2,i3)*g1(i5,i8)*g2(i1,i8)
          - kk(i7,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i5)
          + kk(i7,m)*g1(i2,i3)*g1(i5,i8)*g2(i3,i8)
          - kk(i7,m)*g1(i2,i4)*g1(i2,i7)*g2(i1,i4)
          - kk(i7,m)*g1(i2,i4)*g1(i2,i7)*g2(i1,i7)
          + kk(i7,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i4)
          + kk(i7,m)*g1(i2,i4)*g1(i2,i8)*g2(i1,i8)
          + kk(i7,m)*g1(i2,i4)*g1(i4,i7)*g2(i1,i2)
          + kk(i7,m)*g1(i2,i4)*g1(i4,i7)*g2(i1,i7)
          - kk(i7,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i2)
          - kk(i7,m)*g1(i2,i4)*g1(i4,i8)*g2(i1,i8)
          + kk(i7,m)*g1(i2,i5)*g1(i2,i7)*g2(i1,i5)
          + kk(i7,m)*g1(i2,i5)*g1(i2,i7)*g2(i1,i7)
          - kk(i7,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i5)
          - kk(i7,m)*g1(i2,i5)*g1(i2,i8)*g2(i1,i8)
          - kk(i7,m)*g1(i2,i5)*g1(i5,i7)*g2(i1,i2)
          - kk(i7,m)*g1(i2,i5)*g1(i5,i7)*g2(i1,i7)
          + kk(i7,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i2)
          + kk(i7,m)*g1(i2,i5)*g1(i5,i8)*g2(i1,i8)
          + kk(i7,m)*g1(i2,i7)*g1(i4,i5)*g2(i1,i2)
          - kk(i7,m)*g1(i2,i7)*g1(i4,i5)*g2(i1,i7)
          - kk(i7,m)*g1(i2,i7)*g1(i4,i7)*g2(i1,i2)
          - kk(i7,m)*g1(i2,i7)*g1(i4,i7)*g2(i1,i4)
          + kk(i7,m)*g1(i2,i7)*g1(i5,i7)*g2(i1,i2)
          + kk(i7,m)*g1(i2,i7)*g1(i5,i7)*g2(i1,i5)
          - kk(i7,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i2)
          + kk(i7,m)*g1(i2,i8)*g1(i4,i5)*g2(i1,i8)
          + kk(i7,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i2)
          + kk(i7,m)*g1(i2,i8)*g1(i4,i8)*g2(i1,i4)
          - kk(i7,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i2)
          - kk(i7,m)*g1(i2,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i7,m)*g1(i3,i4)*g1(i3,i7)*g2(i1,i4)
          + kk(i7,m)*g1(i3,i4)*g1(i3,i7)*g2(i1,i7)
          - kk(i7,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i4)
          - kk(i7,m)*g1(i3,i4)*g1(i3,i8)*g2(i1,i8)
          - kk(i7,m)*g1(i3,i4)*g1(i4,i7)*g2(i1,i3)
          - kk(i7,m)*g1(i3,i4)*g1(i4,i7)*g2(i1,i7)
          + kk(i7,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i3)
          + kk(i7,m)*g1(i3,i4)*g1(i4,i8)*g2(i1,i8)
          - kk(i7,m)*g1(i3,i5)*g1(i3,i7)*g2(i1,i5)
          - kk(i7,m)*g1(i3,i5)*g1(i3,i7)*g2(i1,i7)
          + kk(i7,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i5)
          + kk(i7,m)*g1(i3,i5)*g1(i3,i8)*g2(i1,i8)
          + kk(i7,m)*g1(i3,i5)*g1(i5,i7)*g2(i1,i3)
          + kk(i7,m)*g1(i3,i5)*g1(i5,i7)*g2(i1,i7)
          - kk(i7,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i3)
          - kk(i7,m)*g1(i3,i5)*g1(i5,i8)*g2(i1,i8)
          - kk(i7,m)*g1(i3,i7)*g1(i4,i5)*g2(i1,i3)
          + kk(i7,m)*g1(i3,i7)*g1(i4,i5)*g2(i1,i7)
          + kk(i7,m)*g1(i3,i7)*g1(i4,i7)*g2(i1,i3)
          + kk(i7,m)*g1(i3,i7)*g1(i4,i7)*g2(i1,i4)
          - kk(i7,m)*g1(i3,i7)*g1(i5,i7)*g2(i1,i3)
          - kk(i7,m)*g1(i3,i7)*g1(i5,i7)*g2(i1,i5)
          + kk(i7,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i3)
          - kk(i7,m)*g1(i3,i8)*g1(i4,i5)*g2(i1,i8)
          - kk(i7,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i3)
          - kk(i7,m)*g1(i3,i8)*g1(i4,i8)*g2(i1,i4)
          + kk(i7,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i3)
          + kk(i7,m)*g1(i3,i8)*g1(i5,i8)*g2(i1,i5)
          + kk(i7,m)*g1(i4,i5)*g3(i2,i7)
          - kk(i7,m)*g1(i4,i5)*g3(i2,i8)
          - kk(i7,m)*g1(i4,i5)*g3(i3,i7)
          + kk(i7,m)*g1(i4,i5)*g3(i3,i8)
          + kk(i7,m)*g1(i4,i7)*g3(i2,i4)
          - kk(i7,m)*g1(i4,i7)*g3(i2,i7)
          - kk(i7,m)*g1(i4,i7)*g3(i3,i4)
          + kk(i7,m)*g1(i4,i7)*g3(i3,i7)
          - kk(i7,m)*g1(i4,i8)*g3(i2,i4)
          + kk(i7,m)*g1(i4,i8)*g3(i2,i8)
          + kk(i7,m)*g1(i4,i8)*g3(i3,i4)
          - kk(i7,m)*g1(i4,i8)*g3(i3,i8)
          - kk(i7,m)*g1(i5,i7)*g3(i2,i5)
          + kk(i7,m)*g1(i5,i7)*g3(i2,i7)
          + kk(i7,m)*g1(i5,i7)*g3(i3,i5)
          - kk(i7,m)*g1(i5,i7)*g3(i3,i7)
          + kk(i7,m)*g1(i5,i8)*g3(i2,i5)
          - kk(i7,m)*g1(i5,i8)*g3(i2,i8)
          - kk(i7,m)*g1(i5,i8)*g3(i3,i5)
          + kk(i7,m)*g1(i5,i8)*g3(i3,i8)
          + kk(i7,m)*g2(i1,i2)*g2(i4,i7)
          - kk(i7,m)*g2(i1,i2)*g2(i4,i8)
          - kk(i7,m)*g2(i1,i2)*g2(i5,i7)
          + kk(i7,m)*g2(i1,i2)*g2(i5,i8)
          - kk(i7,m)*g2(i1,i3)*g2(i4,i7)
          + kk(i7,m)*g2(i1,i3)*g2(i4,i8)
          + kk(i7,m)*g2(i1,i3)*g2(i5,i7)
          - kk(i7,m)*g2(i1,i3)*g2(i5,i8)
          + kk(i7,m)*g2(i1,i4)*g2(i2,i7)
          - kk(i7,m)*g2(i1,i4)*g2(i2,i8)
          - kk(i7,m)*g2(i1,i4)*g2(i3,i7)
          + kk(i7,m)*g2(i1,i4)*g2(i3,i8)
          - kk(i7,m)*g2(i1,i5)*g2(i2,i7)
          + kk(i7,m)*g2(i1,i5)*g2(i2,i8)
          + kk(i7,m)*g2(i1,i5)*g2(i3,i7)
          - kk(i7,m)*g2(i1,i5)*g2(i3,i8)
          + kk(i7,m)*g2(i1,i7)*g2(i2,i4)
          - kk(i7,m)*g2(i1,i7)*g2(i2,i5)
          - kk(i7,m)*g2(i1,i7)*g2(i3,i4)
          + kk(i7,m)*g2(i1,i7)*g2(i3,i5)
          - kk(i7,m)*g2(i1,i8)*g2(i2,i4)
          + kk(i7,m)*g2(i1,i8)*g2(i2,i5)
          + kk(i7,m)*g2(i1,i8)*g2(i3,i4)
          - kk(i7,m)*g2(i1,i8)*g2(i3,i5)
          + kk(i7,m)*g2(i2,i3)*g2(i4,i7)
          - kk(i7,m)*g2(i2,i3)*g2(i4,i8)
          - kk(i7,m)*g2(i2,i3)*g2(i5,i7)
          + kk(i7,m)*g2(i2,i3)*g2(i5,i8)
         ;


